﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="livestockTrailer">
    <annotation>3D,Textures : HG Model Copyright (C) ; Scripts : 76-Max</annotation>

    <storeData>
        <name>Masson BS63</name>
        <functions>
            <function>$l10n_function_livestockTrailer</function>
        </functions>
        <image>store_massonbs63.png</image>
        <price>12000</price>
        <dailyUpkeep>10</dailyUpkeep>
        <lifetime>600</lifetime>
        <rotation>0</rotation>
        <brand>MASSON</brand>
        <category>animalTransport</category>
        <vertexBufferMemoryUsage>1253384</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>171408</indexBufferMemoryUsage>
        <textureMemoryUsage>12932688</textureMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>
	
    <base>
        <typeDesc>$l10n_typeDesc_livestockTrailer</typeDesc>
        <filename>MassonBS63.i3d</filename>
        <size width="3" length="10" />
        <components>
            <component centerOfMass="0 0.6 0" solverIterationCount="10" mass="4150" />
        </components>
        <schemaOverlay attacherJointPosition="0 0">
            <default name="DEFAULT_IMPLEMENT"/>
            <selected name="DEFAULT_IMPLEMENT_SELECTED"/>
        </schemaOverlay>
    </base>
	
    <wheels>
        <wheelConfigurations>
            <wheelConfiguration name="$l10n_configuration_valueDefault" price="0">
                <wheels autoRotateBackSpeed="2.0">
                    <wheel filename="Wheel/wheel2.xml" isLeft="true" hasTireTracks="true" hasParticles="true" >
                        <physics restLoad="0.9" repr="wheelG"   forcePointRatio="0.5" initialCompression="40" suspTravel="0.15" spring="20" damper="50"/>
                    </wheel>
                    <wheel filename="Wheel/wheel2.xml" isLeft="false" hasTireTracks="true" hasParticles="true" >
                        <physics restLoad="0.9" repr="wheelD"  forcePointRatio="0.5" initialCompression="40" suspTravel="0.15" spring="20" damper="50"/>
                    </wheel>
                </wheels>
            </wheelConfiguration>
        </wheelConfigurations> 
    </wheels>
	
	
    <attachable>
        <inputAttacherJoints>
            <inputAttacherJoint node="attacherJoint" jointType="trailerLow" attacherHeight="0.5" />
        </inputAttacherJoints>
        <brakeForce>1</brakeForce>
        <support animationName="moveSupport" />
    </attachable>
	
    <lights>
        <sharedLight linkNode="rearMultipointLight_03_left"        filename="$data/shared/assets/lights/lizard/rearMultipointLight_03_left.xml" />
        <sharedLight linkNode="rearMultipointLight_03_right"       filename="$data/shared/assets/lights/lizard/rearMultipointLight_03_right.xml" />
        <realLights>
            <high>
                <light node="backLightsHigh" lightTypes="0" />
                <turnLightLeft node="turnLightLeftBack" />
                <turnLightRight node="turnLightRightBack" />
                <brakeLight node="backLightsHigh" />
            </high>
        </realLights>
		<beaconLights>
            <beaconLight node="giro" filename="$data/shared/assets/beaconLights/lizard/beaconLight03.xml"/>
        </beaconLights>
    </lights>
	
	<foldable>
        <foldingParts startMoveDirection="-1">
            <foldingPart animationName="folding" speedScale="1" />
        </foldingParts>
    </foldable>
	
	
    <animations>
        <!-- support -->
        <animation name="moveSupport">
            <part node="bequille"   startTime="0" endTime="0.2"  startRot="90 0 0" endRot="0 0 0" />
            <part node="verin" startTime="0" endTime="0.5" startTrans="0 -0.099 0" endTrans="0 -0.262 0" /> 
        </animation>
        <!-- folding, lowering the axis -->
        <animation name="folding">
            <part node="porteD" startTime="2.5" endTime="4.0" startRot="0 0 0" endRot="0 90 0" />
            <part node="porteG" startTime="2.5" endTime="4.0" startRot="0 0 0" endRot="0 -90 0" />
            <part node="barriere" startTime="1.5" endTime="4.0" startTrans="0 2.488 0.944" endTrans="0 2.488 -2.407" />
            <part node="monter" startTime="0" endTime="2.5" startRot="0 0 0" endRot="-105 0 0" />
        </animation>
    </animations>
	
    <livestockTrailer>
        <animal type="sheep" node="sheepSlots" numSlots="5" />
        <animal type="pig"   node="pigSlots" numSlots="9" />
        <animal type="cow"   node="cowSlots" numSlots="5" />
    </livestockTrailer>

    <washable dirtDuration="90" washDuration="1" workMultiplier="4" fieldMultiplier="2"/>
	
	    <i3dMappings>
        <i3dMapping id="monter" node="0>0|0" />
        <i3dMapping id="backLightsHigh" node="0>0|0|0|0|0" />
        <i3dMapping id="turnLightLeftBack" node="0>0|0|0|1|0|0" />
        <i3dMapping id="turnLightRightBack" node="0>0|0|0|1|1|0" />
        <i3dMapping id="rearMultipointLight_03_left" node="0>0|0|0|2|0" />
        <i3dMapping id="rearMultipointLight_03_right" node="0>0|0|0|2|1" />
        <i3dMapping id="barriere" node="0>0|1" />
        <i3dMapping id="porteD" node="0>0|2" />
        <i3dMapping id="porteG" node="0>0|3" />
        <i3dMapping id="bequille" node="0>1" />
        <i3dMapping id="verin" node="0>1|0" />
        <i3dMapping id="wheelG" node="0>2" />
        <i3dMapping id="wheelD" node="0>3" />
        <i3dMapping id="sheepSlots" node="0>5|0" />
        <i3dMapping id="pigSlots" node="0>5|1" />
        <i3dMapping id="cowSlots" node="0>5|2" />
        <i3dMapping id="attacherJoint" node="0>6" />
        <i3dMapping id="giro" node="0>8|0" />
    </i3dMappings>

</vehicle>
